> For the complete documentation index, see [llms.txt](https://docs.hockeystack.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hockeystack.com/integrations/datasyncs/configure-a-datasync-export/stage-data-export-schema.md).

# Stage Data Export Schema

This export is all of your raw touch points filtered by the Stages and Touchpoints defined in your [Data Categorization settings](broken://pages/Il8LJI9sNNAtPhbVjzog) in HockeyStack.

### Schema

| Column Name                   | Description                                                                                                |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------- |
| `date`                        | The date when the action occurred (from `action_date`)                                                     |
| `unique_id`                   | A unique identifier for each record, that can be used for deduplication                                    |
| `user_id`                     | User identifier with fallback priority: contact\_id → lead\_id → user\_id from action properties           |
| `email`                       | User email address                                                                                         |
| `contact_id`                  | Contact identifier from CRM (if it applies to the row of data)                                             |
| `lead_id`                     | Lead identifier from CRM (if it applies to the row of data)                                                |
| `deal_id`                     | Deal identifier from CRM (if it applies to the row of data)                                                |
| `company_id`                  | Company identifier from CRM (if it applies to the row of data)                                             |
| `company_domain`              | Company domain extracted from Salesforce data                                                              |
| `[defined touchpoints]`       | Dynamic columns for touch points configured in the Data Categorization page (varies per export).           |
| `[funnel_stage_goal_columns]` | Dynamic columns for stages - shows 'true' when goal conditions are met for a given row (varies per export) |
| `etl_added_at`                | Timestamp when the record was processed in the ETL pipeline                                                |
| `added_at`                    | Original timestamp when the action was added to HockeyStack's database                                     |

Sample Here:

{% file src="/files/NpGI9yajSvG8vTXgEjJf" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hockeystack.com/integrations/datasyncs/configure-a-datasync-export/stage-data-export-schema.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
